### Method

# Cogl Framebuffer draw_rectangle

#### Declaration [src]

    void
    cogl_framebuffer_draw_rectangle (
      CoglFramebuffer* framebuffer,
      CoglPipeline* pipeline,
      float x_1,
      float y_1,
      float x_2,
      float y_2
    )

#### Description [src]

Draws a rectangle to `framebuffer` with the given `pipeline` state and with the top left corner positioned at (`x_1`, `y_1`) and the bottom right corner positioned at (`x_2`, `y_2`).

The position is the position before the rectangle has been transformed by the model-view matrix and the projection matrix.

If you want to describe a rectangle with a texture mapped on it then you can use cogl_framebuffer_draw_textured_rectangle().

#### Parameters

`pipeline`

  Type: `CoglPipeline`

  A `CoglPipeline` state object.

  The data is owned by the caller of the method.

`x_1`

  Type: `float`

  X coordinate of the top-left corner.

`y_1`

  Type: `float`

  Y coordinate of the top-left corner.

`x_2`

  Type: `float`

  X coordinate of the bottom-right corner.

`y_2`

  Type: `float`

  Y coordinate of the bottom-right corner.